%global dlrn_nvr python-troveclient-7.0.0-1.20220727231400.c7319d8
%global dlrn 1
%define upstream_version 7.0.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname troveclient
%global with_doc 0

%global common_desc \
This is a client for the Trove API. There's a Python API (the \
troveclient module), and a command-line script (trove). Each \
implements 100% (or less ;) ) of the Trove API.

Name:           python-troveclient
Version: 7.0.0
Release: 1.20220727231400.c7319d8%{?dist}
Summary:        Client library for OpenStack DBaaS API

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0: python-troveclient-7.0.0-1.20220727231400.c7319d8.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=c7319d8fe8cb6cfd5c423472283aadffb12ed52c

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core


%description
%{common_desc}

%package -n python3-%{sname}
Summary:        Client library for OpenStack DBaaS API
%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
BuildRequires:  python3-pbr
BuildRequires:  python3-oslotest
BuildRequires:  python3-mock
BuildRequires:  python3-testtools
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-mistralclient
BuildRequires:  python3-swiftclient
BuildRequires:  python3-testrepository
BuildRequires:  python3-simplejson
BuildRequires:  python3-requests-mock
BuildRequires:  python3-httplib2

Requires:       python3-keystoneauth1 >= 3.4.0
Requires:       python3-mistralclient >= 3.1.0
Requires:       python3-swiftclient >= 3.2.0
Requires:       python3-osc-lib >= 1.10.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-pbr
Requires:       python3-prettytable
Requires:       python3-requests
Requires:       python3-simplejson

%description -n python3-%{sname}
%{common_desc}


%if 0%{?with_doc}
%package doc
Summary:        Documentation for troveclient
# These are doc requirements
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-apidoc
%description doc
%{common_desc}

This package contains the documentation
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf %{name}.egg-info

# Let RPM handle the requirements
rm -f {test-,}requirements.txt


%build
%{py3_build}

%install
%{py3_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s trove %{buildroot}%{_bindir}/trove-3


%if 0%{?with_doc}
# generate html docs
sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%check
export PYTHON=%{__python3}
PYTHONPATH=. %{__python3} setup.py test


%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/python_troveclient-*.egg-info
%{python3_sitelib}/troveclient
%{_bindir}/trove-3
%{_bindir}/trove

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1.20220727231400.c7319d8
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.20220712131621.c7319d8
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.20210527235753.c7319d8
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support to restore backup from data location
- Bulk backup delete
- Switch to collections.abc.*
- add python37 setup.cfg
- remove unicode from code
- Fix a bug in print_list when using formatters
- remove py37
- Fix getting server id for listing instances
- update cliff to 3.5.0 support python3.8
- Support operating_status for instance
- Show server_id for listing instance by admin
- Disable openstack-lower-constraints-jobs

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix creating datastore version
- Add support for python 3.8

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support region in CLI
- Update TOX_CONSTRAINTS_FILE for stable/victoria
- Update .gitreview for stable/victoria

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support of subnet-id and ip-address for creating instance
- Fix key error when getting private instance
- [goal] Migrate testing to ubuntu focal
- Fix create instance
- Support getting and updating instance access info
- Support rebuild instance CLI

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Flavor is optional for creating instance
- Support backup strategy
- Use primary instead of master for listing instances
- Use unittest.mock instead of mock
- Replace assertItemsEqual with assertCountEqual
- Add py38 package metadata

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support to create datastore version
- Remove unnecessary API call for listing instances

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support role for listing instances
- Stop to use the __future__ module.
- Switch to newer openstackdocstheme and reno versions
- Fix hacking min version to 3.0.1
- Re-define replication commands
- Remove flavor API
- Support to change parameters for the config group
- Use unittest.mock instead of third party mock
- Fix KeyError when deleting datastore version
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Cleanup py27 support

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix resize flavor for instance
- Support to delete datastore
- Support to delete datastore version
- Support to reboot instance
- Support to force delete instance
- Add IP addresses in instance list output

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Support log tail/save for instance"
- Merge "Update master for stable/train"
- Merge "Drop python 2.7 support and testing"
- Support log tail/save for instance
- Support log actions in osc plugin
- Drop python 2.7 support and testing
- Update master for stable/train

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix python-openstackclient plugin doc build


